/**
 * Theme Name: Ufertaverne
 * Theme URI: https://www.ufertaverne.at/website
 * Author: lacaine@proton.me
 * Description: Ein elegantes und benutzerfreundliches Theme für die Ufertaverne, speziell entworfen für Gastronomie und Veranstaltungen.
 * Version: 2.3.7
 * Requires PHP: 8.4
 * Text Domain: ufertaverne
 * Template: twentytwentyfive
 * Screenshot: theme-screenshot.png
 * Screenshot Description: Einladende Atmosphäre der Ufertaverne mit Flusssicht und gemütlichen Sitzgelegenheiten.
 */

/* COLORS 
primary-blue: #273c75;       rgba(39, 60, 117, 1)
dunkel: #212529;
 */

@media screen and (max-width: 1050px) {
  .wp-block-navigation__responsive-container-open {
    display: block !important;
  }
  .wp-block-navigation__responsive-container:not(.is-menu-open.has-modal-open) {
    display: none !important;
  }
}

#top-leiste {
  @media screen and (max-width: 1050px) {
    display: none;
  }
  font-size: 0.8rem;
}

.wp-block-media-text__media img,
.wp-block-media-text__media video {
  border-radius: 20px;
}

.uf-radius {
  border-radius: 20px;
}

.current-menu-item {
  background-color: rgba(255, 255, 255, 0.95) !important;
  color: #000 !important;
  padding: 0.2rem 0.4rem !important;
  border-radius: 5px !important;
}

:root :where(.wp-block-site-title a:where(:not(.wp-element-button)):hover) {
  text-decoration: none;
}

:root :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover) {
  text-decoration: none;
}

:where(.wp-site-blocks :focus) {
  outline-style: none !important;
  outline-width: 0px !important;
}

#top-leiste a:hover,
footer a:hover {
  text-decoration: underline !important;
}

#main-nav .wp-block-navigation .wp-block-navigation-item {
  border: none;
  outline: dashed 1px #273c75;
  border-radius: 5px;
  padding: 0.2rem 0.4rem !important;
}

#main-nav .wp-block-navigation .wp-block-navigation-item:hover {
  outline: dashed 1px rgba(255, 255, 255, 0.5);
}

/***  BUTTONS  ***/

.ff-default .ff-btn-lg {
  padding: 1rem 2rem;
  background-color: #273c75;
  color: #fff;
  border: none;
  cursor: pointer;
  border-radius: 20px;
  font-size: 21px;
  font-family: "Open sans";
  width: 100%;
}

.ff-default .ff-btn-lg:hover {
  background-color: #2e478b;
}

:root :where(.wp-element-button:hover, .wp-block-button__link:hover) {
  background-color: #2e478b;
  border-color: transparent;
  color: var(--wp--preset--color--base);
}

.btn-weiss > a {
  background-color: #ebebeb;
  color: #212529;
}

.btn-weiss > a:hover {
  background-color: rgb(255, 255, 255);
}

/***  FOOTER  ***/

footer h3 {
  color: #fff;
}

div.wp-block-column p.speisekarte-preis {
  text-align: right;
}

@media (max-width: 781px) {
  div.wp-block-column p.speisekarte-preis {
    text-align: left !important;
  }
}

.speisekarte-titel {
}

.speisekarte-beschreibung {
}




.fluent_form_3 input, .fluent_form_3 textarea {
  border: 1px solid #ccc !important;
  padding: 0.85rem 1rem !important;
  border-radius: 5px !important;
  font-size: 0.9rem !important;
  font-family: "Open sans" !important;
}
